Package org.jacoco.report

## Interface ILanguageNames

All Known Implementing Classes:
  `JavaNames`

    public interface ILanguageNames

Interface to create programming language specific names from VM names.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getClassName​(java.lang.String vmname, java.lang.String vmsignature, java.lang.String vmsuperclass, java.lang.String[] vminterfaces)` Calculates the language specific name of a class.
`java.lang.String` `getMethodName​(java.lang.String vmclassname, java.lang.String vmmethodname, java.lang.String vmdesc, java.lang.String vmsignature)` Calculates the language specific name of a method.
`java.lang.String` `getPackageName​(java.lang.String vmname)` Calculates the language specific name of a package.
`java.lang.String` `getQualifiedClassName​(java.lang.String vmname)` Calculates the language specific qualified name of a class.
`java.lang.String` `getQualifiedMethodName​(java.lang.String vmclassname, java.lang.String vmmethodname, java.lang.String vmdesc, java.lang.String vmsignature)` Calculates the language specific fully qualified name of a method.

### Method Detail

#### getPackageName

    java.lang.String getPackageName​(java.lang.String vmname)

Calculates the language specific name of a package.

Parameters:
  `vmname` - vm name of a package
Returns:
  language specific notation for the package

#### getClassName

    java.lang.String getClassName​(java.lang.String vmname,
                                  java.lang.String vmsignature,
                                  java.lang.String vmsuperclass,
                                  java.lang.String[] vminterfaces)

Calculates the language specific name of a class.

Parameters:
  `vmname` - vm name of a class
  `vmsignature` - vm signature of the class (may be `null`)
  `vmsuperclass` - vm name of the superclass of the class (may be `null`)
  `vminterfaces` - vm names of interfaces of the class (may be `null`)
Returns:
  language specific notation of the class

#### getQualifiedClassName

    java.lang.String getQualifiedClassName​(java.lang.String vmname)

Calculates the language specific qualified name of a class.

Parameters:
  `vmname` - vm name of a class
Returns:
  language specific qualified notation of the class

#### getMethodName

    java.lang.String getMethodName​(java.lang.String vmclassname,
                                   java.lang.String vmmethodname,
                                   java.lang.String vmdesc,
                                   java.lang.String vmsignature)

Calculates the language specific name of a method.

Parameters:
  `vmclassname` - vm name of a containing class
  `vmmethodname` - vm name of the method
  `vmdesc` - vm method descriptor
  `vmsignature` - vm signature of the method (may be `null`)
Returns:
  language specific notation for the method

#### getQualifiedMethodName

    java.lang.String getQualifiedMethodName​(java.lang.String vmclassname,
                                            java.lang.String vmmethodname,
                                            java.lang.String vmdesc,
                                            java.lang.String vmsignature)

Calculates the language specific fully qualified name of a method.

Parameters:
  `vmclassname` - vm name of a containing class
  `vmmethodname` - vm name of the method
  `vmdesc` - vm method descriptor
  `vmsignature` - vm signature of the method (may be `null`)
Returns:
  language specific notation for the method